Il ne se lance pas sur mon windows 7 64bits. Normal puisqu'il est vendu pour 98(SE)/ME/2000/XP 32bits, cependant qui peut le plus devrait pouvoir le monis et même en notifiant windows de le faire fonctionner comme sur un système antérieur cela ne marche pas. La cause ? Le système de protection fourni par la société StarForce. https://www.star-force.com.

Ils proposent quelques solutions, mais pour cette version de protect.dll ( 3.04.50 ... ) c'est trop vieux, il faut une recompilation par le créateur du logiciel...

Qu'à cela ne tienne on va essayer sous linux avec wine... même bide... là il réclame un driver scsi

err:module:import_dll Library SCSIPORT.SYS (which is needed by L"C:\\windows\\System32\\drivers\\prosync1.sys") not found err:winedevice:ServiceMain driver L"prosync1" failed to load

et termine avec une jolie fenetre "failed to initialize macrokernel.dll".

Là encore le fautif est la protection StarForce.

Il semble que StarForce + wine soit une impasse : http://wine-wiki.org/index.php/Drivers Pseudo drivers Copy protection drivers and wine depends how nasty they are. Things like root-kits (GameGuard), highly invasive (StarForce) or DRM like which verify "authenticity" of the system (parts of WMP) won't ever work on Wine. Some properly written ones might and do work (older versions of SafeDisk).

Bon je n'ai pas de système XP ou plus ancien à la maison et je ne tiens pas à en acheter un ( on peut en trouver pour une dizaine d'euros sur internet ).

Bon essayons des solutions de virtualisation sous linux ( ici virtualbox ) avec un système XP-like (ReactOS)... pour voir.

je télécharge ReactOS ici http://www.reactos.org/download

apt-get install virtualbox

Comme d'hab, la solution de virtualisation réclame un module noyau qu'il faut compiler.

apt-get install linux-source

dpkg-reconfigure virtualbox-dkms

apt-get install linux-kbuild-3.10 linux-headers-3.10-2-common linux-headers-3.10-2-amd64

boaf linux-source m'a chargé le noyau 3.10 alors que mon système était en 3.2 ..., allez haut les coeurs, on upgrade en 3.10.2.

apt-get install linux-image-3.10-2-amd64

apt-get install linux-kbuild-3.10 linux-headers-3.10-2-common linux-headers-3.10-2-amd64

Là encore pire après l'installation de kipulkai le système ReactOs plante invoquant une erreur dans NTOSKRNL.DLL ...

Kipulkai + ReactOs / virtualbox